Package org.drinkless.tdlib

# Class TdApi.LanguagePackStringValuePluralized

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LanguagePackStringValue
org.drinkless.tdlib.TdApi.LanguagePackStringValuePluralized

Enclosing class:
  `TdApi`

public static class TdApi.LanguagePackStringValuePluralized extends TdApi.LanguagePackStringValue
A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more information.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LanguagePackStringValue

  `TdApi.LanguagePackStringValue.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `fewValue`
  Value for few objects.
  `String`
  `manyValue`
  Value for many objects.
  `String`
  `oneValue`
  Value for one object.
  `String`
  `otherValue`
  Default value.
  `String`
  `twoValue`
  Value for two objects.
  `String`
  `zeroValue`
  Value for zero objects.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguagePackStringValuePluralized()`
  A language pack string which has different forms based on the number of some object it mentions.
  `LanguagePackStringValuePluralized(String zeroValue, String oneValue, String twoValue, String fewValue, String manyValue, String otherValue)`
  A language pack string which has different forms based on the number of some object it mentions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### zeroValue

    public String zeroValue
    Value for zero objects.

  - ### oneValue

    public String oneValue
    Value for one object.

  - ### twoValue

    public String twoValue
    Value for two objects.

  - ### fewValue

    public String fewValue
    Value for few objects.

  - ### manyValue

    public String manyValue
    Value for many objects.

  - ### otherValue

    public String otherValue
    Default value.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LanguagePackStringValuePluralized

    public LanguagePackStringValuePluralized()
    A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more information.

  - ### LanguagePackStringValuePluralized

    public LanguagePackStringValuePluralized(String zeroValue, String oneValue, String twoValue, String fewValue, String manyValue, String otherValue)
    A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more information.
    Parameters:
      `zeroValue` - Value for zero objects.
      `oneValue` - Value for one object.
      `twoValue` - Value for two objects.
      `fewValue` - Value for few objects.
      `manyValue` - Value for many objects.
      `otherValue` - Default value.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LanguagePackStringValue`
    Returns:
      this.CONSTRUCTOR